<?php
include("include/config.php");
include("include/protect.class.php");
include("include/jdf.php");
include('include/functions.php');
$prot=new protect();
if ($prot->showPage) {
$db=new DB($globalConfig['dbase'], $globalConfig['dbhost'],$globalConfig['dbuser'], $globalConfig['dbpass']);
mysql_query("SET NAMES utf8");
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>فیلدهای اضافه</title>
<link rel="stylesheet" type="text/css" href="fancybox/jquery.fancybox-1.3.1.css" media="screen" />
<script src="js/jquery-1.4.2.min.js" type="text/javascript"></script>
<script type="text/javascript" src="fancybox/jquery.fancybox-1.3.1.js"></script>
<?php include("maintemplate/mainheader.php");?>
</head>
<body>
<div id="wpwrap">
<div id="wpcontent">
	<?php include("include/menutop.php");?> 
<div id="wpbody">
	<?php include("include/header.php");?>
    <div style="overflow:hidden;" id="wpbody-content">
        <div id="screen-meta">
            <div class="wrap">
                <div id="icon-index" class="icon32"><br></div>
                <h2>فیلدهای اضافه</h2>
               
                <div id="dashboard-widgets-wrap">
                    <div id="dashboard-widgets" class="metabox-holder">
                                            <?php
	if(isset($_GET['acceptdel'])){
		if(isset($_GET['AID']) && ($_GET['AID'] != '')){
			
		$db->execute("delete from morefields where id = '".(int)$_GET['AID']."'");
		 
		 $query = ("alter table ads drop column ".$_GET['name']."");
      $result = mysql_query($query) 
        or die("altering table tableNameToAddColumnTo not successful: ".
        mysql_error()); 
		
		echo debug_message('فیلد مورد نظر با موفقیت حذف شد','2','98');
		
		echo '<form action="morefields.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		}
}
?>
                     <?php 
                if(isset($_GET['insert'])){
							
					
		$db->execute("insert morefields set
		 kind = '".$db->safe_string($_POST['kind'])."',
		 name = '".$db->safe_string($_POST['name'])."',
		 latin = '".$db->safe_string($_POST['latin'])."',
		 cat = '".$db->safe_string($_POST['cat'])."'
		 ");
		 
		  //this query checks for the new column
    $query = ("SHOW COLUMNS ".
              "FROM ads ".
              "LIKE '%".$db->safe_string($_POST['latin'])."%'");
    $result = mysql_query($query)  
      or die("select table ads ".
             "in addColumnIfItDoesNotExist() not successful: ".
      mysql_error());
    $rarray = mysql_fetch_array($result);
    if (NULL == $rarray[0]) {
      //here are the specifics for your new column, 
      //  both the datatype and the position in the table
      $query = ("ALTER TABLE ads ".
                "ADD COLUMN ".$db->safe_string($_POST['latin'])." VARCHAR(500)");
      $result = mysql_query($query) 
        or die("altering table tableNameToAddColumnTo not successful: ".
        mysql_error()); 
	}
		echo debug_message('فیلد جدید با موفقیت اضافه شد','2','98');
		
		echo '<form action="morefields.php" method="POST">
		<p align="center"><input type="submit" id="button" value="بازگشت"></p>
		</form>';	
		
		}else{?>
                         <div class="postbox-container" style="width:68%;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>  اضافه کردن فیلد </span></h3>
                                <div style="padding:10px; line-height:24px">
                                 <?php if(isset($_GET['del'])){?>
<div style="margin: 20px auto ; padding: 0 .7em; width:98%; text-align:center;" class="error_box"> 
<p>
</p><p><span class="ui-icon ui-icon-alert" style="float: left;"></span>آیا مطمئن هستید که میخواهید این فیلد را حذف کنید؟ با حذف این فیلد تمام اطلاعات مربوط به ان حذف میشود<br/><a href="morefields.php?acceptdel&AID=<?php echo $_GET['AID']?>&name=<?php echo $_GET['name']?>"><div class="mybutton" style="float:right; margin-right:34%;">حذف</div></a><a href="morefields.php"><div class="mybutton" style="float:right;">بازگشت</div></a></p>
<p></p></div>
<?php }?>   

<?php
	

	
			$form_action = 'insert';
?>
<div class="inside" style="">
<form action="morefields.php?do=add_charges&<?php echo $form_action; ?>" method="post" name="form1" id="form1" enctype="multipart/form-data">
<table class="form-table">
<tbody>
<tr class="even" valign="top">
<th scope="row"><label for="name">نام فیلد</label></th>
<td><input name="name"  id="name" size="16" value="" dir="ltr" class="regular-text" type="text">
<div id='form1_serial_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
<th scope="row"><label for="latin">نام لاتین و منحصر به فرد فیلد</label></th>
<td><input name="latin"  id="latin" size="16" value="" dir="ltr" class="regular-text" type="text">
<div id='form1_serial_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="even" valign="top">
<th scope="row"><label for="kind">نوع فیلد</label></th>
<td><select name="kind" id="kind" style="width: 120px; vertical-align: top;" >
					<option value="1">فیلد متنی</option>
					<option value="2">فیلد آپلود</option>
                    <option value="3">چک باکس</option>			
						</select>
<div id='form1_operator_errorloc' class="error_strings"></div>
</td>
</tr>
<tr class="odd" valign="top">
<th scope="row"><label for="kind">مربوط به دسته</label></th>
<td><select id="cat" name="cat">
		<?php 
	$estores = $db->query("select * from  categories");
		while($stores = $db->fetchNextArray($estores)){
	?>
	<option value="<?php echo $stores['id'];?>" ><?php echo $stores['name'];?></option>
    <?php } ?>
    
</select>
<div id='form1_operator_errorloc' class="error_strings"></div>
</td>
</tr>
</tbody></table>


<p class="submit">
<input name="process" class="button-primary" value="ذخیره" type="submit">
</p>
</form>
<script language="JavaScript" type="text/javascript"
    xml:space="preserve">//<![CDATA[
//You should create the validator only after the definition of the HTML form
  var frmvalidator  = new Validator("form1");
    frmvalidator.EnableOnPageErrorDisplay();
    frmvalidator.EnableMsgsTogether();


	frmvalidator.addValidation("serial","req","باید کامل شود");

	
	frmvalidator.addValidation("password","numeric","باید حتما عدد وارد کنید");
	frmvalidator.addValidation("password","req","وارد کردن این فیلد ضروری است");
	
	frmvalidator.addValidation("operator","numeric","باید حتما وارد کنید");
	
	frmvalidator.addValidation("kind","numeric","باید حتما وارد کنید");

//]]></script>
</div>
                                
                                </div>

                              </div>
                            </div>
                        </div>
                          
                        <div style="width:29%;" class="postbox-container">
<div class="postbox" id="dashboard_recent_drafts">
<div title="برای جانشینی کلیک کنید" class="handlediv"><br></div><h3 class="hndle"><span></span>راهنما</h3>
<div class="inside">
فیلدهای مورد نیاز خود را اینجا وارد کنید
</div>

</div>

</div>
						
						
<?php
		}?>
        <div class="postbox-container" style="width:98%; margin-bottom:30px;">
                                <div id="normal-sortables" class="meta-box-sortables ui-sortable"><div id="dashboard_recent_comments" class="postbox ">
                                   <div class="handlediv" title="برای جانشینی کلیک کنید"><br></div><h3 class="hndle"><span>  لیست فیلدها</span></h3>
                             <div align="center" style="padding:5px;">
                                               
<table id="rounded-corner"dir="rtl">

  <thead>
			<tr>
				<th scope="col" id="rounded-q5">شماره</th>
                <th scope="col" id="rounded-q5">نام فیلد</th>
                <th scope="col" id="rounded-q5">مربوط به دسته</th>
                <th scope="col" id="rounded-q5">نام لاتین فیلد</th>
                <th scope="col" id="rounded-q5">نوع</th>
                <th scope="col" id="rounded-q5"> حذف</th>
			</tr>
		</thead>
		<tbody>
<?php
	/*
		Place code to connect to your DB here.
	*/
	// include your code to connect to DB.

	$tbl_name="morefields";		//your table name
	// How many adjacent pages should be shown on each side?
	$adjacents = 3;
	
	/* 
	   First get total number of rows in data table. 
	   If you have a WHERE clause in your query, make sure you mirror it here.
	*/

	$query = "SELECT COUNT(*) as num FROM $tbl_name";
	$total_pages = mysql_fetch_array(mysql_query($query));
	$total_pages = $total_pages[num];
	
	/* Setup vars for query. */
	$targetpage = "morefields.php"; 	//your file name  (the name of this file)
	$limit = 20; 								//how many items to show per page
	$page = $_GET['page'];
	if($page) 
		$start = ($page - 1) * $limit; 			//first item to display on this page
	else
		$start = 0;								//if no page var is given, set start to 0
	
	/* Get data. */
	
	$sql = "SELECT * FROM $tbl_name ORDER BY id DESC LIMIT $start, $limit";	
	$result = mysql_query($sql);
	
	/* Setup page vars for display. */
	if ($page == 0) $page = 1;					//if no page var is given, default to 1.
	$prev = $page - 1;							//قبلی page is page - 1
	$next = $page + 1;							//بعدی page is page + 1
	$lastpage = ceil($total_pages/$limit);		//lastpage is = total pages / items per page, rounded up.
	$lpm1 = $lastpage - 1;						//last page minus 1
	
	/* 
		Now we apply our rules and draw the pagination object. 
		We're actually saving the code to a variable in case we want to draw it more than once.
	*/
	$pagination = "";
	if($lastpage > 1)
	{	
		$pagination .= "<div class=\"pagination\">";
		//قبلی button
		if ($page > 1) 
			$pagination.= "<a href=\"$targetpage?page=$prev\">« قبلی</a>";
		else
			$pagination.= "<span class=\"disabled\">« قبلی</span>";	
		
		//pages	
		if ($lastpage < 7 + ($adjacents * 2))	//not enough pages to bother breaking it up
		{	
			for ($counter = 1; $counter <= $lastpage; $counter++)
			{
				if ($counter == $page)
					$pagination.= "<span class=\"current\">$counter</span>";
				else
					$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
			}
		}
		elseif($lastpage > 5 + ($adjacents * 2))	//enough pages to hide some
		{
			//close to beginning; only hide later pages
			if($page < 1 + ($adjacents * 2))		
			{
				for ($counter = 1; $counter < 4 + ($adjacents * 2); $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//in middle; hide some front and some back
			elseif($lastpage - ($adjacents * 2) > $page && $page > ($adjacents * 2))
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $page - $adjacents; $counter <= $page + $adjacents; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
				$pagination.= "...";
				$pagination.= "<a href=\"$targetpage?page=$lpm1\">$lpm1</a>";
				$pagination.= "<a href=\"$targetpage?page=$lastpage\">$lastpage</a>";		
			}
			//close to end; only hide early pages
			else
			{
				$pagination.= "<a href=\"$targetpage?page=1\">1</a>";
				$pagination.= "<a href=\"$targetpage?page=2\">2</a>";
				$pagination.= "...";
				for ($counter = $lastpage - (2 + ($adjacents * 2)); $counter <= $lastpage; $counter++)
				{
					if ($counter == $page)
						$pagination.= "<span class=\"current\">$counter</span>";
					else
						$pagination.= "<a href=\"$targetpage?page=$counter\">$counter</a>";					
				}
			}
		}
		
		//بعدی button
		if ($page < $counter - 1) 
			$pagination.= "<a href=\"$targetpage?page=$next\">بعدی »</a>";
		else
			$pagination.= "<span class=\"disabled\">بعدی »</span>";
		$pagination.= "</div>\n";		
	}
?>

	<?php
		while($row = mysql_fetch_array($result))
		{
				if($data['visited'] == 0){
			$sytle = 'style="color:#390"';
		}else{
			$style = '';
		}
		if(($i % 2) == 0) {
			$class = 'tableRow2';
		}else{
			$class = 'tableRow1';
		}
			echo '<tr class="'.$class.'" onmouseover="this.className=\'tableRowOver\'" onmouseout="this.className=\''.$class.'\'">';
			
?>
					
<form action="convert">
        <td width="20"><?php echo $row['id'];?></td> 
        <td ><?php echo $row['name'];?></td>
        <td ><?php $estores1 = $db->query("select * from  categories where id=".$row['cat']."");
				   $stores1 = $db->fetchNextArray($estores1);
				   echo $stores1['name'];
				   ?></td> 
      	<td ><?php echo $row['latin'];?></td>
        <td ><?php  if($row['kind']=='1'){echo 'فیلد متنی';}?> <?php  if($row['kind']=='2'){echo 'آپلود';}?> <?php  if($row['kind']=='3'){echo 'چک باکس';}?></td>
        <td width="30"><a href="morefields.php?del=true&AID=<?php echo $row['id'];?>&name=<?php echo $row['latin'];?>"><img src="images/cros.gif" ></a></td>
			<?php }
	?>
</form>
    		
		</tbody>
  </table>
  <div style="direction:ltr">
<?=$pagination?>
                             </div>    
                             
                             <div class="cleared"></div>             
                                                </div>
                                                <div class="cleared"></div> 

                              </div>
                            </div>
                        </div>



                    </div>
                    <div class="clear"></div>
                </div><!-- dashboard-widgets-wrap -->
            </div><!-- wrap -->
			<div class="clear"></div></div><!-- wpbody-content -->
			<div class="clear"></div></div><!-- wpbody -->
			<div class="clear"></div></div><!-- wpcontent -->
        </div>
    </div><!-- wpcontent -->
</div><!-- wpwrap -->
<?php include("include/footer.php");?>
</div>
</div>
</body>
</html><?php } ?>